\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - Kinetic Framework

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
CGAL::Kinetic::Active_objects_vector< MovingObject > Class Template Reference
Main Classes

`#include <CGAL/Kinetic/Active_objects_vector.h>`

## Definition

MovingObjects are stored in a vector.

This means that access is constant time, but storage is not generally freed. The only way to be sure is to remove all reference counts for the table or to call `clear()`.

Is Model Of:
  `Kinetic::ActiveObjectsTable`